#
# spec file for package python-stoqdrivers
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-stoqdrivers
Version:        0.9.19
Release:        2.3
Summary:        Python fiscal printer (ECF) drivers
License:        LGPL-2.1
Group:          Development/Languages/Python
Url:            http://www.stoq.com.br
Source:         http://pypi.python.org/packages/source/s/stoqdrivers/stoqdrivers-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-kiwi-gtk >= 1.9.26.2
BuildRequires:  python-pyserial >= 2.
BuildRequires:  python-setuptools
BuildRequires:  python-zope.interface >= 3.0.1
Requires:       python-gobject2 >= 2.8.0
Requires:       python-kiwi-gtk >= 1.9.24
Requires:       python-pyserial >= 2.2
Requires:       python-zope.interface >= 3.5.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This package provides device drivers for fiscal printers, ECF (Emissor de Coupon Fiscal)
written in Python. Supports printers from Bematech, Daruma, Dataregis, Perto, Sweda and
the generic FiscNET protocol.

%prep
%setup -q -n stoqdrivers-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%{find_lang} stoqdrivers

%files -f stoqdrivers.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_datadir}/stoqdrivers
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Apr  8 2013 alexandre@exatati.com.br
- Update to 0.9.19:
  - Sorry, no changelog.
* Sat Jan 12 2013 alexandre@exatati.com.br
- Initial package (0.9.18) for openSUSE.
